"""Production settings unique to the OTel monitoring plugin."""


def plugin_settings(settings):
    """Settings for the Otel monitoring plugin."""  # noqa: D401

    settings.SQLCOMMENTER_WITH_FRAMEWORK = settings.ENV_TOKENS.get(
        "SQLCOMMENTER_WITH_FRAMEWORK", settings.SQLCOMMENTER_WITH_FRAMEWORK
    )
    settings.SQLCOMMENTER_WITH_CONTROLLER = settings.ENV_TOKENS.get(
        "SQLCOMMENTER_WITH_CONTROLLER", settings.SQLCOMMENTER_WITH_CONTROLLER
    )
    settings.SQLCOMMENTER_WITH_ROUTE = settings.ENV_TOKENS.get(
        "SQLCOMMENTER_WITH_ROUTE", settings.SQLCOMMENTER_WITH_ROUTE
    )
    settings.SQLCOMMENTER_WITH_APP_NAME = settings.ENV_TOKENS.get(
        "SQLCOMMENTER_WITH_APP_NAME", settings.SQLCOMMENTER_WITH_APP_NAME
    )
    settings.SQLCOMMENTER_WITH_OPENTELEMETRY = settings.ENV_TOKENS.get(
        "SQLCOMMENTER_WITH_OPENTELEMETRY", settings.SQLCOMMENTER_WITH_OPENTELEMETRY
    )
    settings.SQLCOMMENTER_WITH_DB_DRIVER = settings.ENV_TOKENS.get(
        "SQLCOMMENTER_WITH_DB_DRIVER", settings.SQLCOMMENTER_WITH_DB_DRIVER
    )
    settings.OTEL_PYTHON_DJANGO_EXCLUDED_URLS = settings.ENV_TOKENS.get(
        "OTEL_PYTHON_DJANGO_EXCLUDED_URLS", settings.OTEL_PYTHON_DJANGO_EXCLUDED_URLS
    )
    settings.OTEL_PYTHON_DJANGO_TRACED_REQUEST_ATTRS = settings.ENV_TOKENS.get(
        "OTEL_PYTHON_DJANGO_TRACED_REQUEST_ATTRS",
        settings.OTEL_PYTHON_DJANGO_TRACED_REQUEST_ATTRS,
    )
    settings.OTEL_INSTRUMENTATION_HTTP_CAPTURE_HEADERS_SERVER_REQUEST = (
        settings.ENV_TOKENS.get(
            "OTEL_INSTRUMENTATION_HTTP_CAPTURE_HEADERS_SERVER_REQUEST",
            settings.OTEL_INSTRUMENTATION_HTTP_CAPTURE_HEADERS_SERVER_REQUEST,
        )
    )
    settings.OTEL_INSTRUMENTATION_HTTP_CAPTURE_HEADERS_SERVER_RESPONSE = (
        settings.ENV_TOKENS.get(
            "OTEL_INSTRUMENTATION_HTTP_CAPTURE_HEADERS_SERVER_RESPONSE",
            settings.OTEL_INSTRUMENTATION_HTTP_CAPTURE_HEADERS_SERVER_RESPONSE,
        )
    )
    settings.OTEL_INSTRUMENTATION_HTTP_CAPTURE_HEADERS_SANITIZE_FIELDS = (
        settings.ENV_TOKENS.get(
            "OTEL_INSTRUMENTATION_HTTP_CAPTURE_HEADERS_SANITIZE_FIELDS",
            settings.OTEL_INSTRUMENTATION_HTTP_CAPTURE_HEADERS_SANITIZE_FIELDS,
        )
    )
    settings.OTEL_CONFIGS = settings.ENV_TOKENS.get(
        "OTEL_CONFIGS", settings.OTEL_CONFIGS
    )
    settings.OTEL_TRACES_EXPORTER_MAPPING = settings.ENV_TOKENS.get(
        "OTEL_TRACES_EXPORTER_MAPPING", settings.OTEL_TRACES_EXPORTER_MAPPING
    )
    settings.OTEL_METRICS_EXPORTER_MAPPING = settings.ENV_TOKENS.get(
        "OTEL_METRICS_EXPORTER_MAPPING", settings.OTEL_METRICS_EXPORTER_MAPPING
    )
    settings.OTEL_TRACES_RESOURCE_ATTRIBUTE = settings.ENV_TOKENS.get(
        "OTEL_TRACES_RESOURCE_ATTRIBUTE", settings.OTEL_TRACES_RESOURCE_ATTRIBUTE
    )
    settings.OTEL_METRICS_RESOURCE_ATTRIBUTE = settings.ENV_TOKENS.get(
        "OTEL_METRICS_RESOURCE_ATTRIBUTE", settings.OTEL_METRICS_RESOURCE_ATTRIBUTE
    )
    settings.OTEL_EXPORTER_OTLP_TRACES_ENDPOINT = settings.ENV_TOKENS.get(
        "OTEL_EXPORTER_OTLP_TRACES_ENDPOINT",
        settings.OTEL_EXPORTER_OTLP_TRACES_ENDPOINT,
    )
    settings.OTEL_EXPORTER_OTLP_TRACES_HEADERS = settings.ENV_TOKENS.get(
        "OTEL_EXPORTER_OTLP_TRACES_HEADERS", settings.OTEL_EXPORTER_OTLP_TRACES_HEADERS
    )
    settings.OTEL_EXPORTER_OTLP_METRICS_ENDPOINT = settings.ENV_TOKENS.get(
        "OTEL_EXPORTER_OTLP_METRICS_ENDPOINT",
        settings.OTEL_EXPORTER_OTLP_METRICS_ENDPOINT,
    )
    settings.OTEL_EXPORTER_OTLP_METRICS_HEADERS = settings.ENV_TOKENS.get(
        "OTEL_EXPORTER_OTLP_METRICS_HEADERS",
        settings.OTEL_EXPORTER_OTLP_METRICS_HEADERS,
    )
    settings.OTEL_EXPORTER_OTLP_TRACES_PROTOCOL = settings.ENV_TOKENS.get(
        "OTEL_EXPORTER_OTLP_TRACES_PROTOCOL",
        settings.OTEL_EXPORTER_OTLP_TRACES_PROTOCOL,
    )
    settings.OTEL_EXPORTER_OTLP_TRACES_CERTIFICATE = settings.ENV_TOKENS.get(
        "OTEL_EXPORTER_OTLP_TRACES_CERTIFICATE",
        settings.OTEL_EXPORTER_OTLP_TRACES_CERTIFICATE,
    )
    settings.OTEL_EXPORTER_OTLP_METRICS_CERTIFICATE = settings.ENV_TOKENS.get(
        "OTEL_EXPORTER_OTLP_METRICS_CERTIFICATE",
        settings.OTEL_EXPORTER_OTLP_METRICS_CERTIFICATE,
    )
    settings.OTEL_EXPORTER_OTLP_TRACES_TIMEOUT = settings.ENV_TOKENS.get(
        "OTEL_EXPORTER_OTLP_TRACES_TIMEOUT", settings.OTEL_EXPORTER_OTLP_TRACES_TIMEOUT
    )
    settings.OTEL_EXPORTER_OTLP_METRICS_TIMEOUT = settings.ENV_TOKENS.get(
        "OTEL_EXPORTER_OTLP_METRICS_TIMEOUT",
        settings.OTEL_EXPORTER_OTLP_METRICS_TIMEOUT,
    )
    settings.OTEL_EXPORTER_OTLP_TRACES_COMPRESSION = settings.ENV_TOKENS.get(
        "OTEL_EXPORTER_OTLP_TRACES_COMPRESSION",
        settings.OTEL_EXPORTER_OTLP_TRACES_COMPRESSION,
    )
    settings.OTEL_EXPORTER_OTLP_METRICS_COMPRESSION = settings.ENV_TOKENS.get(
        "OTEL_EXPORTER_OTLP_METRICS_COMPRESSION",
        settings.OTEL_EXPORTER_OTLP_METRICS_COMPRESSION,
    )
